class ListElem { // Hilfsklasse
	int value; // Speicher fuer den Wert

	ListElem next; // Verweis auf naechstes Element

	ListElem(int v) {
		value = v;
		next = null;
	}
}

class ArrayList {

	// Datenstruktur
	ListElem elem; // verkettete Liste

	// Konstruktoren

	ArrayList() { // Default-Konstruktor
		this.elem = null;
	}

	// Methoden
	void add(int v) {
		if (this.elem == null) {
			this.elem = new ListElem(v);
		} else {
			ListElem help = this.elem;
			while (help.next != null)
				help = help.next;
			help.next = new ListElem(v);
		}
	}

	boolean isElem(int v) {
		ListElem help = this.elem;
		while (help != null) {
			if (help.value == v)
				return true;
			help = help.next;
		}
		return false;
	}

	public static void main(String[] args) { // Test
		ArrayList l = new ArrayList();

		// Fuellen
		int input = IO.readInt("Number: ");
		while (input > 0) {
			l.add(input);
			input = IO.readInt("Number: ");
		}

		// auf Liste arbeiten
		while (true) {
			int check = IO.readInt("Check: ");
			if (l.isElem(check))
				IO.println("Is Element");
			else
				IO.println("Is NOT Element");
		}
	}
}
